2018-04-09 18:29:12 zfz495121426 阅读数 13045

     最近看到很多朋友在寻找iOS 11、12真机测试包,所以特意做了一个整理,希望可以帮到那些暂时没有升级Xcode至最新版本的同学们,

1.百度网盘链接: https://pan.baidu.com/s/1lnkF_G3UiD8u3b2N0TUSug 密码: h6q9

2.xcode真机调试包路径:点击finder,然后快捷键command + shift + G 前往文件夹路径 /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/DeviceSupport 将更新包解压进去即可。

2018-01-09 00:59:25 gmr2453929471 阅读数 2283

最近微信跳一跳很火,然后有大神出了python替你玩版本,觉得很有趣,就想试试。

然后大神这个工具是基于测试框架WDA的,然后其中最基础最基础的一步,就是你的xcode能够运行真机测试。

我的xcode版本是7.2,然后iphone版本是11.2.1 (15c153)

我从网上下了一个11.2的15c107的真机测试包,然后按照很多很多博客说的,直接把这个放到 

/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/DeviceSupport 这个目录下,如下图所示(图中是我的8.3.3版本哈~)。


然后我再进xcode,发现不行,识别不出来,如下图所示,那个Deployment Target没有我需要的11.2,最高只有xcode自带的那个9.2,并且手机也是unavailable状态。


然后我觉得是不是光放到DeviceSupport文件夹下不够,还需要修改一些诸如Info.plist,  version.plist这样的配置文件,于是我又打开文件,将有9.2的地方统统改成11.2,将有13C75的地方统统改成15C107,然后再重启Xcode,发现能识别iphone了,但是编译报错。。。。。


网上真的查了很多很多资料,但是没有什么是教你如何修改plist文件的。。。。


忙了两天,各种修改xcode配置文件,改到xcode都打不开,当时我就绝望了。。。。


没办法,想着重新安装个xcode版本吧。网上一搜,发现9.x不太好,有bug,于是选择了8.3.3版本。你懂的,下xcode真的超级超级蛋疼,好不容易下好了,一装发现,我的mac OS系统版本不够,因为我是Captain。。。。因为之前升级到Captain的时候,我的开发环境之类的就出了好多错,尤其是python、pip,不加sudo根本安装不了,于是我是那种能不更新就不更新的类型。


我又去网上搜了下,升级到Sierra报错的也有不少,我表示很方。。。。


但是我tm搞了两天了,什么结果都没有,不可能在这个节骨眼上放弃吧,于是没办法只能更新到Sierra。


更新好了,xcode8.3.3也装好了,但是我也不知道能不能成,忐忐忑忑一步步来吧。

我就把之前下的那个真机测试支持包11.2(15c107)直接放到DeviceSupport文件夹下,然后开启了xcode。


先去window->device下检查,嗯~发现能识别我的手机啊~~~


然后还是去看deployment target,还是没有11.2,最高的是10.3。

但是!!!

能在我的手机上跑!!!我的Deployment Target选的是10.3!!!


真的要感动哭了~



总结:

1. 虽然我是11.2.1 (15c153),但是15c107的支持包照样能跑。

2. 啥plist都不用改,直接放到DeviceSupport完事。

3. 还是得靠xcode8.3,我真的应该早点更新xcode,及时下载非常蛋疼。









2018-04-11 17:40:31 u010742414 阅读数 1700

 shift+command+G   /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/DeviceSupport

真机测试安装包 12.2 

真机测试安装包 12.1 

真机测试安装包 12.0

 

这里不用积分 https://github.com/iGhibli/iOS-DeviceSupport/tree/master/DeviceSupport

2016-04-15 16:39:42 u013089311 阅读数 916

iOS 9.3 升级后无法真机测试 Could not find Developer Disk Image

iOS 升级到9.3之后,你会发现无法进行真机测试了。这种情况我在iOS 8.4 更新的时候也遇到过。原因是Xcode 的DeviceSupport里面缺少了iOS 9.3的SDK。所以你可以选择将Xcode更新到最新版本就可以了,目前是必须更新到Xcode 7.3。但是Xcode的更新速度你是知道的,快的时候一两个小时,慢的时候可能要一两天。而从网盘里面下载Xcode更是不可行,教训我们已经见识过了。
另外一个办法就是,不是缺iOS 9.3的支持文件吗,我们直接把缺的文件导进去不就可以了吗?


Could not find Developer Disk Image

步骤如下:

  • 打开Finder
  • 找到应用程序文件夹
  • 在里面找到XCode
  • 点击XCode,右键,显示包内容
  • Contents-->Developer-->Platforms-->iPhoneOS.platform-->DeviceSupport
    /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/DeviceSupport
  • 然后你就能看到你的Xcode支持的真机测试的一些系统型号对应的文件

  • 把你找到的 9.3文件夹拖进去就可以了

9.3 File

什么,你说你没有9.3的文件夹

  • 找同事或者开发的朋友要一个就可以了,路径和上面的一样
  • 朋友同事都没有,好吧,实在没有,我这里有一个。
    iOS 9.3 DeviceSupport (GitHub)(在目录xcode下)

Tips

最推荐的做法是:如果在App Store 更新失败,可以在官网直接下载安装包。
https://developer.apple.com/downloads/

2016-12-02 16:44:41 LSsugar 阅读数 182

  下午找了半天可以在Xcode7上真机iOS10的方法,也下载了sdk,结果没有装对地方,真是相当尴尬.


   正确的安装地址Xcode7.3 -> 显示包内容 -> Contents -> Developer -> Platforms -> iPhoneOS.platform -> DeviceSupport


  把下载到的iOS 10 的sdk拖进去就好了.......


  然后就可以在Xcode7上对iOS 10 的系统进行真机测试了


下载sdk地址:http://download.csdn.net/download/sinat_33582662/9664349


没有更多推荐了,返回首页